You are not logged in.

#1 2016-03-10 05:18:56

windowgazer111
New Member
Registered: 2016-03-03
Posts: 3

[SOLVED]cannot find command update-pepperflashplugin-nonfree

I just went through the steps given in HoaS's post about pepperflash here.

However, when I try
$ sudo update-pepperflashplugin-nonfree --install
I get this error message:
bash: update-pepperflashplugin-nonfree: command not found

I tried to find this command using locate and which, but neither one can find this command.

After restarting Iceweasel and going to a site which uses adobe flash, Iceweasel tries to open a flash video using pepperflash, but gives an error "Failed to load libpepflashplayer.so"

Any ideas?

Thanks.

Last edited by damo (2016-03-12 11:11:12)

Offline

#2 2016-03-10 05:38:03

damo
....moderator....
Registered: 2015-08-20
Posts: 5,058

Re: [SOLVED]cannot find command update-pepperflashplugin-nonfree

In a terminal try

which update-pepperflashplugin-nonfree

It should be in in `/usr/sbin/`

What is the outut of

apt-cache policy browser-plugin-freshplayer-pepperflash

Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#3 2016-03-10 09:51:59

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 5,731
Website

Re: [SOLVED]cannot find command update-pepperflashplugin-nonfree

You also need pepperflashplugin-nonfree.
Try

sudo apt-get install pepperflashplugin-nonfree

John
--------------------
( a boring Japan blog , Japan Links, idle twitterings  and GitStuff )
In case you forget, the rules.

Offline

#4 2016-03-11 05:29:20

windowgazer111
New Member
Registered: 2016-03-03
Posts: 3

Re: [SOLVED]cannot find command update-pepperflashplugin-nonfree

I get no output from:

which update-pepperflashplugin-nonfree

/usr/sbin does have update-flashplugin-nonfree, but not update-pepperflashplugin-nonfree

Output of

apt-cache policy browser-plugin-freshplayer-pepperflash

showed 0 installed.

I saw johnraff's reply about needing to install the following, so I did:

apt-get install browser-plugin-freshplayer-pepperflash

now, the output of

apt-cache policy browser-plugin-freshplayer-pepperflash

is

browser-plugin-freshplayer-pepperflash:
  Installed: 0.3.4-1~bpo8+1
  Candidate: 0.3.4-1~bpo8+1
  Version table:
 *** 0.3.4-1~bpo8+1 0
        100 http://httpredir.debian.org/debian/ jessie-backports/contrib amd64 Packages
        100 /var/lib/dpkg/status

I did also try to directly install the pepperflashplugin-nonfree:

sudo apt-get install pepperflashplugin-nonfree

but got this:

Package pepperflashplugin-nonfree is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source.

E: Package 'pepperflashplugin-nonfree' has no installation candidates

FYI, my /etc/apt/sources.list is:

# deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20150909-03:19]/ jessie contrib main non-free

# deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20150909-03:19]/ jessie contrib main non-free

deb http://ftp.us.debian.org/debian/ jessie main
#deb-src http://ftp.us.debian.org/debian/ jessie main

deb http://security.debian.org/ jessie/updates main contrib non-free
#deb-src http://security.debian.org/ jessie/updates main contrib non-free

# jessie-updates, previously known as 'volatile'
deb http://ftp.us.debian.org/debian/ jessie-updates main contrib non-free

#deb-src http://ftp.us.debian.org/debian/ jessie-updates main contrib non-free
deb http://httpredir.debian.org/debian jessie-backports main contrib non-free

http://www.adobe.com/software/flash/about/ and other sites still give me the "failed to load libpepflashplayer.so" error.

What next? neutral

Offline

#5 2016-03-11 05:45:10

damo
....moderator....
Registered: 2015-08-20
Posts: 5,058

Re: [SOLVED]cannot find command update-pepperflashplugin-nonfree

^ You only have jessie main source. You need to add contrib and non-free (the pepperflash plugin is in contrib)

See https://forums.bunsenlabs.org/viewtopic.php?id=1526 for a default sources.list.


Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#6 2016-03-12 02:02:43

windowgazer111
New Member
Registered: 2016-03-03
Posts: 3

Re: [SOLVED]cannot find command update-pepperflashplugin-nonfree

@damo thanks for noticing my missing sources. I went through the Bunsen Repo page and got things straightened out. Pepperflash is now working well.

Thanks all.

Offline

#7 2016-03-12 11:12:01

damo
....moderator....
Registered: 2015-08-20
Posts: 5,058

Re: [SOLVED]cannot find command update-pepperflashplugin-nonfree

^ Good one smile

I've edited your first post and added [SOLVED] to the title


Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

Board footer

Powered by FluxBB